> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hifi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all documents

> Get all documents associated with the user.




## OpenAPI

````yaml https://production.hifi.com/api/v2/openapi.json get /v2/users/{userId}/kyc/documents
openapi: 3.0.0
info:
  title: Hifi API
  version: 2.0.0
  description: API documentation for Hifi
servers:
  - url: https://production.hifibridge.com
    description: Production server
  - url: https://sandbox.hifibridge.com
    description: Sandbox server
security:
  - bearerAuth: []
tags:
  - name: Common
    description: Common endpoints
  - name: User
    description: User endpoints
  - name: Kyc
    description: Kyc endpoints
  - name: Wallet
    description: Wallet endpoints
  - name: Account
    description: Account endpoints
  - name: External Account
    description: External Account endpoints for managing beneficiary bank accounts
  - name: Fiat Account
    description: Fiat Account endpoints
  - name: Virtual Account
    description: Virtual Account endpoints
  - name: Onramp
    description: Onramp endpoints
  - name: Offramp
    description: Offramp endpoints
  - name: Orchestration Address
    description: >-
      Orchestration Address endpoints — persistent on-chain wallets that
      automatically off-ramp incoming stablecoin deposits to a USD bank account
  - name: Crypto Transfer
    description: Crypto Transfer endpoints
  - name: Cross-Chain Bridge
    description: Cross-Chain Bridge endpoints
  - name: Token Swap
    description: Token Swap endpoints
  - name: Canton Offers
    description: Canton Offers endpoints
  - name: Transfer Rules
    description: Transfer approval rules and configuration
  - name: Transfer Approvals
    description: Transfer approval workflow and admin actions
  - name: File
    description: File endpoints
  - name: Reporting
    description: Reporting and metrics endpoints
paths:
  /v2/users/{userId}/kyc/documents:
    get:
      tags:
        - Kyc
      summary: List all documents
      description: |
        Get all documents associated with the user.
      parameters:
        - $ref: '#/components/parameters/UserIdPathParameter'
      responses:
        '200':
          $ref: '#/components/responses/DocumentObjectAllRecordsResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedResponse'
        '404':
          $ref: '#/components/responses/NotFoundResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  parameters:
    UserIdPathParameter:
      name: userId
      in: path
      schema:
        type: string
      description: ID of the user
      required: true
  responses:
    DocumentObjectAllRecordsResponse:
      description: Success
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/DocumentObjectList'
          examples:
            DocumentObjectListExample:
              $ref: '#/components/examples/DocumentObjectListExample'
    UnauthorizedResponse:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Unauthorized'
    NotFoundResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                enum:
                  - error
              error:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
    InternalServerErrorResponse:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalServerError'
  schemas:
    DocumentObjectList:
      type: object
      title: Document Object List
      properties:
        count:
          type: integer
          description: Number of documents.
        data:
          type: array
          items:
            $ref: '#/components/schemas/DocumentObject'
    Unauthorized:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        error:
          type: string
          description: Error type
        errorDetails:
          type: string
          description: Detailed error message
    InternalServerError:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        error:
          type: string
          description: Error type
        errorDetails:
          type: string
          description: Detailed error message
    DocumentObject:
      type: object
      title: Document Object
      properties:
        type:
          type: string
        subType:
          type: string
        issuedCountry:
          type: string
        issuedDate:
          type: string
          format: date
        expiryDate:
          type: string
          format: date
        number:
          type: string
        description:
          type: string
        url:
          type: string
          deprecated: true
        fileId:
          type: string
        uboId:
          type: string
  examples:
    DocumentObjectListExample:
      summary: Document Object List
      value:
        count: 2
        data:
          - id: 7c9439f6-655b-4aeb-9b32-e17759ee9134
            type: CERTIFICATE_OF_INCORPORATION
            subType: SINGLE_SIDE
            issuedCountry: USA
            issuedDate: null
            expiryDate: null
            number: null
            description: null
            url: https://example.com/doc_123
            fileId: file_zEFpbPhk71NaQfEVMR544
            uboId: null
          - id: 7a9dc485-3216-47fd-baa4-a7ab4085b723
            type: PASSPORT
            subType: SINGLE_SIDE
            issuedCountry: USA
            issuedDate: null
            expiryDate: null
            number: null
            description: null
            url: https://example.com/doc_123
            fileId: file_zEFpbPhk71NaQfEVMR544
            uboId: 3285c3be-ef36-4f01-bf95-578d3116f0ff
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````